/// <reference types="node" />
import type { Editor } from 'mem-fs-editor';
/**
 * Extracts a ZIP archive to a temporary directory.
 *
 * @param {string} extractedProjectPath - The path where the archive should be extracted.
 * @param {Buffer} archive - The ZIP archive buffer.
 * @param {Editor} fs - The file system editor.
 */
export declare function extractZip(extractedProjectPath: string, archive: Buffer, fs: Editor): Promise<void>;
/**
 * Downloads application files from the ABAP repository.
 *
 * @param {string} repoName - The repository name of the application.
 */
export declare function downloadApp(repoName: string): Promise<void>;
//# sourceMappingURL=download-utils.d.ts.map