import type { VSCodeInstance } from '@sap-ux/fiori-generator-shared';
/**
 * Context object for the App generation process.
 * Contains the path of the project and the post-generation command.
 */
export interface RepoAppGenContext {
    path: string;
    postGenCommand: string;
    vscodeInstance?: VSCodeInstance;
}
/**
 * Executes the post-generation command for the app.
 * Runs the specified command in the context of the generated project, typically for tasks like refreshing or reloading the project in the editor.
 *
 * @param {RepoAppGenContext} context - The context containing the project path, post-generation command, and optional VSCode instance.
 */
export declare function runPostAppGenHook(context: RepoAppGenContext): Promise<void>;
//# sourceMappingURL=event-hook.d.ts.map