import type { Editor } from 'mem-fs-editor';
import { type Manifest } from '@sap-ux/project-access';
import type { QfaJsonConfig } from '../app/types';
/**
 *
 * @param filePath - Path to the JSON file
 * @param fs - File system editor instance
 * @returns - Parsed JSON object
 */
export declare function makeValidJson(filePath: string, fs: Editor): QfaJsonConfig;
/**
 * Reads and validates the `manifest.json` file.
 *
 * @param {string} manifesFilePath - Manifest file path.
 * @param {Editor} fs - The file system editor.
 * @returns {Manifest} The validated manifest object.
 */
export declare function readManifest(manifesFilePath: string, fs: Editor): Manifest;
//# sourceMappingURL=file-helpers.d.ts.map