"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fiori_generator_shared_1 = require("@sap-ux/fiori-generator-shared");
/**
 * Static logger prevents passing of logger references through all functions, as this is a cross-cutting concern.
 */
class RepoAppDownloadLogger {
    static _logger = fiori_generator_shared_1.DefaultLogger;
    /**
     * Get the logger.
     *
     * @returns the logger
     */
    static get logger() {
        return RepoAppDownloadLogger._logger;
    }
    /**
     * Set the logger.
     *
     * @param value the logger to set
     */
    static set logger(value) {
        RepoAppDownloadLogger._logger = value;
    }
    /**
     * Configures the logger.
     *
     * @param loggerName - the logger name
     * @param yoLogger - the yeoman logger
     * @param logWrapper - log wrapper instance
     * @param logLevel - the log level
     * @param vscLogger - the vscode logger
     * @param vscode - the vscode instance
     */
    static configureLogging(loggerName, yoLogger, logWrapper, logLevel, vscLogger, vscode) {
        const logger = logWrapper ?? new fiori_generator_shared_1.LogWrapper(loggerName, yoLogger, logLevel, vscLogger, vscode);
        RepoAppDownloadLogger.logger = logger;
    }
}
exports.default = RepoAppDownloadLogger;
//# sourceMappingURL=logger.js.map